Get identity provider (IdP) by ID
Returns an identity provider (social/enterprise login) by its ID, which can be of the type Google, AzureAD, etc.
curl -X GET "https://loading/v2/idps/string"{
"idp": {
"id": "string",
"details": {
"sequence": 0,
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string",
"creationDate": "2023-01-15T01:30:15.01Z"
},
"state": "IDP_STATE_UNSPECIFIED",
"name": "string",
"type": "IDP_TYPE_UNSPECIFIED",
"config": {
"options": {
"isLinkingAllowed": true,
"isCreationAllowed": true,
"isAutoCreation": true,
"isAutoUpdate": true,
"autoLinking": "AUTO_LINKING_OPTION_UNSPECIFIED"
},
"apple": {
"clientId": "string",
"teamId": "string",
"keyId": "string",
"scopes": [
"string"
]
}
}
}
}Was this page helpful?
Idp API
Explore the Idp API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Webkey API
Explore the Webkey API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.